% Function, used to get bounded impulse responses
% Based on the work of Tom Holden's paper: http://www.dynare.org/wp-repo/dynarewp004.pdf

function IRF = GetBoundedIRF_bothnew( VariableName, ShockName, alpha,TIRF )
    IRF = GetMean( VariableName ) + (GetMean( VariableName ).*GetRelBoundedIRF_both( VariableName, ShockName, alpha,TIRF ));
end